#pragma once
#include <Arduino.h>
#include "config.h"
#include "edge.h"
#include "corner.h"

class Node {
	private:
		uint16_t _number;
	public:
		Node* neighbours[CORNERS_PER_PART];
		Edge* edges[CORNERS_PER_PART];
		Corner* _corners[CORNERS_PER_PART];
		Node(uint16_t number);
		Node* create_neighbour(uint8_t edge);
};